package pro.litvinovg.w2phtml;

import java.sql.Timestamp;

import ch.qos.logback.classic.spi.LoggingEvent;
import ch.qos.logback.core.AppenderBase;

public class LogMapAppender extends AppenderBase<LoggingEvent>{

  SingleLogArray logArray = SingleLogArray.create();

	@Override
	protected void append(LoggingEvent logEvent) {
		Timestamp timestamp = new Timestamp(System.currentTimeMillis());
		logArray.addEvent(timestamp + " " + logEvent.getMessage());
	}

}
